public class MGP01
{
   private static Joueur LireJoueur ()
   {
      Joueur j = null;
      boolean Succs = false;
      do
      {
         System.out.print ("Nom du joueur: ");
         final String Nom = OutilsES.LireLigne ();
         System.out.print ("Buts du joueur: ");
         final int Buts = OutilsES.LireEntier ();
         System.out.print ("Passes du joueur: ");
         final int Passes = OutilsES.LireEntier ();
         try
         {
            j = new Joueur (Nom, Buts, Passes);
            Succs = true;
         }
         catch (Exception e)
         {
            System.err.println (e.getMessage ());
         }
      }
      while (!Succs);
      return j;
   }

   private static void AfficherJoueur (final Joueur j)
   {
      System.out.println ("Nom: " + j.GetNom () + " avec " +
                          j.GetPoints () + " points (" +
                          j.GetButs () + " buts, " +
                          j.GetPasses () + " passes)");
   }

   private static void ProduireStatistiques (final quipe e)
   {
      if (e.Vide ())
         System.out.println ("L'quipe est vide");
      else
      {
         System.out.print ("Meilleur: ");
         AfficherJoueur (e.GetMeilleurPointeur ());
         System.out.print ("Pire: ");
         AfficherJoueur (e.GetPirePointeur ());
         System.out.println ("----------------------------------------");
         System.out.println ("- Classement des pointeurs de l'quipe -");
         System.out.println ("----------------------------------------");
         Joueur [] Liste = e.GetListePointeurs ();
         for (int i = 0; i < Liste.length; i++)
         {
            if (Liste[i] != null)
               AfficherJoueur (Liste[i]);
         }
      }
   }

   public static void main (String [] args)
   {
      final int MAX_JOUEURS = 5;
      quipe e = null;
      try
      {
         e = new quipe ("quipe de test", MAX_JOUEURS);
      }
      catch (Exception ex)
      {
         e = new quipe ();
      }

      do
      {
         Joueur j = LireJoueur ();
         try
         {
            e.AjouterJoueur (j);
         }
         // Traitement d'erreur simpliste
         catch (quipe.JoueurNulException jne)
         {
            System.err.println (jne.getMessage ());
         }
         catch (quipe.JoueurExisteException jee)
         {
            System.err.println (jee.getMessage ());
         }
         catch (quipe.quipePleineException pe)
         {
            System.err.println (pe.getMessage ());
         }

      }
      while (!e.Pleine ());
      ProduireStatistiques (e);
   }
}